Subject: Re: bug#36684: "View build log" - but it's empty (at first)!

From: Ludovic Courtès <[email-masked]>
Date: Wed, 17 Jul 2019 21:57:29 +0200

Hi Chris,

Chris Marusich <[email-masked]> skribis:

> Whoops, I got my wires crossed.  Those build logs are for
> evolution-data-server, not ant-bootstrap.  However, the same problem
> holds for evolution-data-server - I built it, it failed, it said I could
> find the logs at
> /var/log/guix/drvs/7f/n896phqyv9r636yhjipa9k4qm7g9ni-evolution-data-server-3.30.2.drv.bz2,
> it was empty at first, but then it became full.

I guess there’s a small window during which the bzip file handle hasn’t
been closed, and so you could see an empty file.  However, that window
should be extremely small: as soon as the client disconnects or the
build terminates, the daemon closes the log.

> In fact, it is only partially full, since the file ends unexpectedly:
>
> $ bzcat /var/log/guix/drvs/7f/n896phqyv9r636yhjipa9k4qm7g9ni-evolution-data-server-3.30.2.drv.bz2 > /dev/null
>
> bzcat: Compressed file ends unexpectedly;
>         perhaps it is corrupted?  *Possible* reason follows.
> bzcat: Success
>         Input file = /var/log/guix/drvs/7f/n896phqyv9r636yhjipa9k4qm7g9ni-evolution-data-server-3.30.2.drv.bz2, output file = (stdout)
>
> It is possible that the compressed file(s) have become corrupted.
> You can use the -tvv option to test integrity of such files.
>
> You can use the `bzip2recover' program to attempt to recover
> data from undamaged sections of corrupted files.

So this particular log file remained truncated?

I’ve never experienced it.  Is there a scenario that allows you to
reproduce it?

Thanks,
Ludo’.